import javax.swing.*;          //This is the final package name.
import java.awt.*;
import java.awt.event.*;
import javax.swing.tree.*;
import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.mem.ModelMem;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.util.*;

import ABC.*;

public class AddPropertyDialog extends JDialog{

  Application app;
  JTabbedPane tabbedPane;

  public AddPropertyDialog(Application application, String title) {
    super((Frame)null,title, true);
    app = application;
    this.setSize(500,300);
    this.setLocation(200,200);
    tabbedPane = new JTabbedPane();
    this.getContentPane().add(tabbedPane,BorderLayout.CENTER);

    JLabel hint =
      new JLabel("Only properties applicable to the properties you've selected are enabled");
    this.getContentPane().add(hint,BorderLayout.SOUTH);
  }

  public void addTab(Application application, String tabName, HashMap textToKeyMapping) {
    PropertiesPane pane = new PropertiesPane(this,application,tabName,textToKeyMapping);
    tabbedPane.addTab(tabName,pane);
  }

  public void ApplyFilter(Set belongset) {
    int tabCount = tabbedPane.getTabCount();
    for(int i=0; i<tabCount; i++) {
      ((PropertiesPane)tabbedPane.getComponentAt(i)).RemoveFilter();
      ((PropertiesPane)tabbedPane.getComponentAt(i)).ApplyFilter(belongset);
    }
  }
}