package Birth;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;
import ABC.*;

public class Delivery extends Action {
  public Delivery() { super();}
  public Delivery(String s, Model m) throws RDFException{ super(s,m); type(Birth.Delivery);}
  public Delivery(Model m) throws RDFException{ super(m); type(Birth.Delivery);}
  public Delivery(String s) throws RDFException { super(s); }
  public Delivery(Resource r, Model m) throws RDFException { super(r,m); type(Birth.Delivery);}

  public void setType()  throws RDFException {
    type(Birth.Delivery);
  }
}