package Birth;

import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.model.*;
import ABC.*;

public class midwife extends hasParticipant {

    public midwife(String uri) throws RDFException {
      super(uri);
      setDomainAndRange();
    }

    public midwife(String nameSpace, String localName) throws RDFException {
      super(nameSpace,localName);
      setDomainAndRange();
    }

    private void setDomainAndRange() {
      domainClasses = new String[1];
      domainClasses[0] = "Birth.Delivery";
      rangeClasses = new String[1];
      rangeClasses[0] = "ABC.Agent";
    }
}