package Birth;

import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.model.*;
import ABC.*;

public class obstetrician extends hasParticipant {

    public obstetrician(String uri) throws RDFException {
      super(uri);
      setDomainAndRange();
    }

    public obstetrician(String nameSpace, String localName) throws RDFException {
      super(nameSpace,localName);
      setDomainAndRange();
    }

    private void setDomainAndRange() {
      domainClasses = new String[1];
      domainClasses[0] = "Birth.Delivery";
      rangeClasses = new String[1];
      rangeClasses[0] = "ABC.Agent";
    }
}