import java.io.File;
import javax.swing.*;
import javax.swing.filechooser.*;

public class XMLFilter extends FileFilter {

    // Accept all directories and all gif, jpg, or tiff files.
  public boolean accept(File f) {
    if (f.isDirectory()) {
      return true;
    }

    String extension = null;
    String s = f.getName();
    int i = s.lastIndexOf('.');

    if (i > 0 &&  i < s.length() - 1)
      extension = s.substring(i+1).toLowerCase();

    if (extension != null && extension.equals("rdf") )
      return true;
    return false;
  }

    // The description of this filter
  public String getDescription() {
    return "RDF file";
  }
}