package ABC;

import com.hp.hpl.mesa.rdf.jena.mem.ModelMem;

/**
 * Title:        ABC API
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author David Lin
 * @version 1.0
 */

import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.RDF;
import java.io.*;

public class ABCModelMem extends ModelMem {
  protected boolean nonABCPropertyWarning = false;

  public ABCModelMem() { super(); }

  public void warnOnNonABCProperty(boolean setting) {
    nonABCPropertyWarning = setting;
  }

  public Model add(Resource s, Property p,RDFNode o) throws RDFException {
    super.add(s,p,o);
    return this;
  }
}