package ABC;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;

public class Action extends Temporality {
  public Action() { super();}
  public Action(String s, Model m) throws RDFException{ super(s,m); type(ABC.Action);}
  public Action(Model m) throws RDFException{ super(m); type(ABC.Action);}
  public Action(String s) throws RDFException { super(s); }
  public Action(Resource r, Model m) throws RDFException { super(r,m); type(ABC.Action);}

  public void setType()  throws RDFException {
    type(ABC.Action);
  }
}