package ABC;

/**
 * Title:        ABC API
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:
 * @author David Lin
 * @version 1.0
 */
import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.model.*;

public class hasParticipant extends hasPresence {
    public hasParticipant(String uri) throws RDFException {
      super(uri);
      setDomainAndRange();
    }

    public hasParticipant(String nameSpace, String localName)
      throws RDFException { super(nameSpace,localName);
      setDomainAndRange();
    }

    private void setDomainAndRange() {
      domainClasses = new String[2];
      domainClasses[0] = "ABC.Event";
      domainClasses[1] = "ABC.Action";
      rangeClasses = new String[1];
      rangeClasses[0] = "ABC.Agent";
    }
}