package Birth;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;
import ABC.*;

public class BirthEvent extends Event {
  public BirthEvent() { super();}
  public BirthEvent(String s, Model m) throws RDFException{ super(s,m); type(Birth.BirthEvent);}
  public BirthEvent(Model m) throws RDFException{ super(m); type(Birth.BirthEvent);}
  public BirthEvent(String s) throws RDFException { super(s); }
  public BirthEvent(Resource r, Model m) throws RDFException { super(r,m); type(Birth.BirthEvent);}

  public void setType()  throws RDFException {
    type(Birth.BirthEvent);
  }
}