import java.awt.*;
import java.awt.event.*;

class Module implements Comparable {

  protected Application app;
  protected DocumentCanvas canvas;
  protected int order;
  static int orderID = 0;

  public Module(Application application) {
    app = application;
    canvas = app.mainWindow.docCanvas;
    order = (orderID+=50);
  }

  public void paintComponent(Graphics2D g2)           {}
  public void preparePaint(Graphics2D g2)             {}
  public void mouseEntered(MouseEvent e)              {}
  public void mouseExited(MouseEvent e)               {}
  public void mousePressed(MouseEvent e)              {}
  public void mouseReleased(MouseEvent e)             {}
  public void mouseClicked(MouseEvent e)              {}
  public void mouseMoved(MouseEvent e)                {}
  public void mouseDragged(MouseEvent e)              {}
  public void keyPressed(KeyEvent e)                  {}
  public void keyReleased(KeyEvent e)                 {}
  public void keyTyped(KeyEvent e)                    {}
  public void modeChanged(int oldMode, int newMode)   {}
  public void reset() {}

  public int compareTo(Object obj) {
    if(obj instanceof Module) {
      return this.order-((Module)obj).order;
    }
    return 0;
  }
}
