import java.awt.*;
import java.awt.geom.*;

interface NodeRenderer {
  public void render(Graphics2D g2);
  public void setPosition(Point pt);
  public void setPosition(int x, int y);
  public Point getPosition();
  public Point2D getAnchorPoint(Line2D.Double line);
  public boolean contains(Point pt);
  public void setColor(Color c);
  public Color getColor();
  public Rectangle getBoundingRect();
}