import javax.swing.*;          //This is the final package name.
import java.awt.*;
import java.awt.geom.*;
import java.awt.event.*;
import java.lang.reflect.*;
import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.mem.ModelMem;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import ABC.*;
import java.util.*;
import java.io.*;

public class PropertyEdge {

  ResourceNode sub;
  ResourceNode obj;
  Property property;
  EdgeRenderer renderer;

  public PropertyEdge(ResourceNode s, Property p, ResourceNode o, EdgeRenderer r) {
    sub = s;
    obj = o;
    property = p;
    renderer = r;
  }

  public void render(Graphics2D g2) {
    renderer.render(g2);
  }

  public EdgeRenderer getRenderer() {
    return renderer;
  }
}