import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.lang.*;
import java.util.*;
import ABC.*;
import com.hp.hpl.mesa.rdf.jena.common.*;
import com.hp.hpl.mesa.rdf.jena.mem.ModelMem;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;

public class TypedResource extends ResourceImpl{

  ResourceFactory factory;

  public TypedResource(String uri, Model m, ResourceFactory f)
  throws RDFException {
    super(uri,m);
    factory = f;
  }

  public TypedResource(Resource r, Model m, ResourceFactory f)
  throws RDFException {
    super(r,m);
    factory = f;
  }

  public Set belongsTo() {
    return factory.belongsTo();
  }

  public String myTypeURI() {
    return factory.selfURI;
  }
}