package ABC;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;

public class Abstraction extends Entity {
  public Abstraction() { super(); }
  public Abstraction(String s, Model m) throws RDFException{ super(s,m); type(ABC.Abstraction);}
  public Abstraction(Model m) throws RDFException{ super(m); type(ABC.Abstraction);}
  public Abstraction(String s) throws RDFException { super(s);}
  public Abstraction(Resource r, Model m) throws RDFException { super(r,m); type(ABC.Abstraction);}

  public void setType()  throws RDFException {
    type(ABC.Abstraction);
  }

//  public void respawn(Model m) throws RDFException {
//    this = new Abstraction(m);
//  }
}