package ABC;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;

public class Entity extends ResourceImpl {
  public Entity() { super();}
  public Entity(String s, Model m) throws RDFException{ super(s,m); type(ABC.Entity);}
  public Entity(Model m) throws RDFException{ super(m); type(ABC.Entity);}
  public Entity(String s) throws RDFException { super(s);}
  public Entity(Resource r, Model m) throws RDFException { super(r,m); type(ABC.Entity);}

  public Entity type(Resource r) throws RDFException {
    StmtIterator iter = this.listProperties(RDF.type);
    while (iter.hasNext()) {
      iter.next();
      iter.remove();
    }
    this.addProperty(RDF.type,r);
    return this;
  }

  public void setType()  throws RDFException {
    type(ABC.Entity);
  }

//  public void respawn(Model m) throws RDFException {
//    this = new Entity(m);
//  }
}