package ABC;

import com.hp.hpl.mesa.rdf.jena.common.ResourceImpl;
import com.hp.hpl.mesa.rdf.jena.model.*;
import com.hp.hpl.mesa.rdf.jena.vocabulary.*;
import java.lang.*;

public class Event extends Temporality {

  public Event() { super(); }
  public Event(String s, Model m) throws RDFException { super(s,m); type(ABC.Event);}
  public Event(Model m) throws RDFException{ super(m); type(ABC.Event); }
  public Event(String s) throws RDFException { super(s); }
  public Event(Resource r, Model m) throws RDFException { super(r,m); type(ABC.Event);}

  public void setType()  throws RDFException {
    type(ABC.Event);
  }
//  public void respawn(Model m) throws RDFException {
//    this = new Event(m);
//  }
}